#
# spec file for package msft-rdma-drivers
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           msft-rdma-drivers
Version:        20151209
Release:        4.1
Summary:        Drive KMP collection for Azure HPC
License:        GPL-2.0
Group:          System/Kernel
Url:            https://build.suse.com/package/show/PLDP:Microsoft:lis-rdma
Source:         %{name}-%{version}.tar.bz2
Requires(pre):  coreutils
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A collection of Microsoft Linux Integration Services packages
with hv_network_direct RDMA. The fabric needs to have a version matched
driver in the guest. This package provides the known version and at runtime
a script injected into the instace installs the proper version of the kmp.

%prep
%setup -q

%build

%install
mkdir -p %{buildroot}/opt/microsoft/rdma
# Really ugly stuff, see the longer comment below for more details
mkdir -p %{buildroot}%{_sysconfdir}/zypp/repos.d
mkdir -p %{buildroot}%{_sysconfdir}/zypp/vendors.d
cp *.rpm %{buildroot}/opt/microsoft/rdma
cp *.repo %{buildroot}%{_sysconfdir}/zypp/repos.d/
cp vendor-msft %{buildroot}%{_sysconfdir}/zypp/vendors.d


%pre
# We have to do some ugly and weird things in this package for now. The intial
# HPC images released contained the driver directly and a repo built into
# the image. In order to provide an upgrade path we need to get rid of the
# existing repo and install a new repo where this package can be retrieved
# from in the future
rm -rf %{_sysconfdir}/zypp/repos.d/sldp-msft.* 

%files
%defattr(-,root,root,-)
%doc LICENSE
%dir %{_sysconfdir}/zypp
%dir %{_sysconfdir}/zypp/repos.d
%dir %{_sysconfdir}/zypp/vendors.d
%dir /opt/microsoft
%dir /opt/microsoft/rdma
/opt/microsoft/rdma/*
%config %{_sysconfdir}/zypp/repos.d/*
%config %{_sysconfdir}/zypp/vendors.d/*
%changelog
* Wed Dec  9 2015 rjschwei@suse.com
- Update to version 20151209
  + Include the src rpms for the KMPs
* Mon Dec  7 2015 rjschwei@suse.com
- Update to version 20151207
  + Include file for vendor equivalency
* Mon Dec  7 2015 rjschwei@suse.com
- Initial build
  + Version 20151204
  + Contains rdma drivers 140 and 142
